Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class RbfGaussianLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.RbfLayer
              org.joone.engine.RbfGaussianLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

    public class RbfGaussianLayer

extends RbfLayer

This class implements the nonlinear layer in Radial Basis Function (RBF) networks using Gaussian functions.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`RbfGaussianLayer()` Creates a new instance of RbfGaussianLayer

Method Summary
`protected void` | `backward(double[] pattern)` Reverse transfer function of the component.
`protected void` | `forward(double[] pattern)` Transfer function to recall a result on a trained net
`RbfGaussianParameters[]` | `getGaussianParameters()` Gets the parameters that define the Gaussian RBFs.
`java.util.Collection` | `Inspections()` It doesn't make sense to return biases for this layer
`protected void` | `setDimensions()` Sets the dimension of the layer.
`void` | `setGaussianParameters(RbfGaussianParameters[] aGaussianParameters)` Sets the parameters that define the Gaussian RBFs.
`void` | `useRandomCenter(StreamInputSynapse aStreamInput)` Sets the Gaussian parameters to centers chosen randomly from the input/training data.

Methods inherited from class org.joone.engine.RbfLayer
`adjustSizeToFwdPattern`

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setMonitor, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RbfGaussianLayer

    public RbfGaussianLayer()

  Creates a new instance of RbfGaussianLayer

Method Detail

### backward

    protected void backward(double[] pattern)
                     throws JooneRuntimeException

  Description copied from class: `Layer`
  Reverse transfer function of the component.

  Specified by:
    `backward` in class `Layer`
  Parameters:
    `pattern` - input pattern on which to apply the transfer function
  Throws:
    `JooneRuntimeException`

### forward

    protected void forward(double[] pattern)
                    throws JooneRuntimeException

  Description copied from class: `Layer`
  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `pattern` - input pattern to which to apply the rtransfer function
  Throws:
    `JooneRuntimeException`

### setDimensions

    protected void setDimensions()

  Description copied from class: `Layer`
  Sets the dimension of the layer. Override to define how the internal buffers must be sized.

  Overrides:
    `setDimensions` in class `RbfLayer`

### getGaussianParameters

    public RbfGaussianParameters[] getGaussianParameters()

  Gets the parameters that define the Gaussian RBFs.

  Returns:
    the Gaussian RBFs parameters.

### setGaussianParameters

    public void setGaussianParameters(RbfGaussianParameters[] aGaussianParameters)

  Sets the parameters that define the Gaussian RBFs.

  Parameters:
    `aGaussianParameters` - The new parameters for the RBFs.

### useRandomCenter

    public void useRandomCenter(StreamInputSynapse aStreamInput)

  Sets the Gaussian parameters to centers chosen randomly from the input/training data.

  Parameters:
    `aStreamInput` - the synapse providing the input, from where we will select random centers.

### Inspections

    public java.util.Collection Inspections()

  It doesn't make sense to return biases for this layer

  Specified by:
    `Inspections` in interface `Inspectable`
  Overrides:
    `Inspections` in class `Layer`
  Returns:
    null
  See Also:
    `org.joone.Inspection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net